Name:           TGExpandingFormWidget
Version:        0.1.3
Release:        1%{?dist}
Summary:        A repeating form widget for TurboGears

Group:          System Environment/Libraries
License:        MIT
URL:            http://www.psychofx.com/TGExpandingFormWidget/
# mkdir TGExpandingFormWidget-0.1.3
# cd TGExpandingFormWidget-0.1.3
# wget http://www.psychofx.com/TGExpandingFormWidget/download/TGExpandingFormWidget-0.1.3.egg
# unzip TGExpandingFormWidget-0.1.3.egg
# cd ..
# tar czf TGExpandingFormWidget-0.1.3.tar.gz TGExpandingFormWidget-0.1.3
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-devel
#Requires:       

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%description
TGExpandingFormWidget is a type of repeating form widget for TurboGears.
It contains groups of widgets which are repeated on the page. The user is
able to dynamically add or remove widget groups as required before submitting
the form.

%prep
%setup -q

%build

%install
# manually install this. The .egg format is already built
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{python_sitelib}/%{name}-%{version}.egg
mkdir -p $RPM_BUILD_ROOT%{python_sitelib}/%{name}-%{version}.egg/EGG-INFO
mkdir -p $RPM_BUILD_ROOT%{python_sitelib}/%{name}-%{version}.egg/tg_expanding_form_widget
mkdir -p $RPM_BUILD_ROOT%{python_sitelib}/%{name}-%{version}.egg/tg_expanding_form_widget/templates
mkdir -p $RPM_BUILD_ROOT%{python_sitelib}/%{name}-%{version}.egg/tg_expanding_form_widget/javascript
mkdir -p $RPM_BUILD_ROOT%{python_sitelib}/%{name}-%{version}.egg/tg_expanding_form_widget/css

install -m 644 EGG-INFO/PKG-INFO \
    $RPM_BUILD_ROOT%{python_sitelib}/%{name}-%{version}.egg/EGG-INFO/PKG-INFO
install -m 644 EGG-INFO/SOURCES.txt \
    $RPM_BUILD_ROOT%{python_sitelib}/%{name}-%{version}.egg/EGG-INFO/SOURCES.txt
install -m 644 EGG-INFO/top_level.txt \
    $RPM_BUILD_ROOT%{python_sitelib}/%{name}-%{version}.egg/EGG-INFO/top_level.txt
install -m 644 EGG-INFO/not-zip-safe \
    $RPM_BUILD_ROOT%{python_sitelib}/%{name}-%{version}.egg/EGG-INFO/not-zip-safe
install -m 644 EGG-INFO/dependency_links.txt \
    $RPM_BUILD_ROOT%{python_sitelib}/%{name}-%{version}.egg/EGG-INFO/dependency_links.txt
install -m 644 EGG-INFO/requires.txt \
    $RPM_BUILD_ROOT%{python_sitelib}/%{name}-%{version}.egg/EGG-INFO/requires.txt

install -m 644 tg_expanding_form_widget/tg_expanding_form_widget.pyc \
    $RPM_BUILD_ROOT%{python_sitelib}/%{name}-%{version}.egg/tg_expanding_form_widget/tg_expanding_form_widget.pyc
install -m 644 tg_expanding_form_widget/templates/__init__.pyc \
    $RPM_BUILD_ROOT%{python_sitelib}/%{name}-%{version}.egg/tg_expanding_form_widget/templates/__init__.pyc
install -m 644 tg_expanding_form_widget/templates/__init__.py \
    $RPM_BUILD_ROOT%{python_sitelib}/%{name}-%{version}.egg/tg_expanding_form_widget/templates/__init__.py
install -m 644 tg_expanding_form_widget/templates/expanding_form.kid \
    $RPM_BUILD_ROOT%{python_sitelib}/%{name}-%{version}.egg/tg_expanding_form_widget/templates/expanding_form.kid
install -m 644 tg_expanding_form_widget/javascript/expanding_form.js \
    $RPM_BUILD_ROOT%{python_sitelib}/%{name}-%{version}.egg/tg_expanding_form_widget/javascript/expanding_form.js
install -m 644 tg_expanding_form_widget/__init__.pyc \
    $RPM_BUILD_ROOT%{python_sitelib}/%{name}-%{version}.egg/tg_expanding_form_widget/__init__.pyc
install -m 644 tg_expanding_form_widget/__init__.py \
    $RPM_BUILD_ROOT%{python_sitelib}/%{name}-%{version}.egg/tg_expanding_form_widget/__init__.py
install -m 644 tg_expanding_form_widget/css/expanding_form.css \
    $RPM_BUILD_ROOT%{python_sitelib}/%{name}-%{version}.egg/tg_expanding_form_widget/css/expanding_form.css
install -m 644 tg_expanding_form_widget/tg_expanding_form_widget.py \
    $RPM_BUILD_ROOT%{python_sitelib}/%{name}-%{version}.egg/tg_expanding_form_widget/tg_expanding_form_widget.py

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{python_sitelib}/%{name}-%{version}.egg/*

%changelog
* Thu Nov  8 2007 Rob Crittenden <rcritten@redhat.com> - 0.1.3-1
- Initial rpm version
